Name:		SDL_mixer
Version:	1.2.8
Release: 	10.30.moblin2
Summary:	Simple DirectMedia Layer - Sample Mixer Library

Group:		System Environment/Libraries
License:	LGPLv2
URL:		http://www.libsdl.org/projects/SDL_mixer/
Source0:	http://www.libsdl.org/projects/%{name}/release/%{name}-%{version}.tar.gz
Patch3:		%{name}-1.2.7-fix-path-timidity.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	SDL-devel >= 1.2.10 
BuildRequires:	libvorbis-devel
BuildRequires:	mikmod-devel >= 3.1.10
Requires:	timidity++-patches
# Require libvorbis since we build it with dynamically load support.
Requires:	libvorbis
Provides:	SDL_mixer-midi


%description
A simple multi-channel audio mixer for SDL. It supports 4 channels of
16 bit stereo audio, plus a single channel of music, mixed by the popular
MikMod MOD, Timidity MIDI and Ogg Vorbis libraries.


%package devel
Summary:	Development files for %{name}
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	SDL-devel >= 1.2.10
Requires:	libvorbis-devel

%description devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q
%patch3 -p1 -b .timidity


%build
%configure --disable-dependency-tracking	\
	   --disable-static 			\
	   --enable-music-libmikmod
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
%makeinstall install-bin

find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc README CHANGES COPYING
%{_bindir}/playmus
%{_bindir}/playwave
%{_libdir}/lib*.so.*

%files devel
%defattr(-,root,root,-)
%{_libdir}/lib*.so
%{_includedir}/SDL


%changelog
* Sat Jan 24 2009 Anas Nashif <anas.nashif@intel.com> 1.2.8
- Initial import into Moblin
* Tue Jan 20 2009 Peter Robinson <pbrobinson@gmail.com> - 1.2.8-10
- Add Provides: SDL_mixer-midi in prep for moving samples to sub-package
* Sun Aug 10 2008 Brian Pepple <bpepple@fedoraproject.org> - 1.2.8-9
- Add requires on libvorbis.
* Sun Feb 17 2008 Jesse Keating <jkeating@redhat.com> - 1.2.8-8
- Rebuild for new mikmod.
* Fri Feb  8 2008 Brian Pepple <bpepple@fedoraproject.org> - 1.2.8-7
- Rebuild for gcc-4.3.
* Tue Jan  8 2008 Brian Pepple <bpepple@fedoraproject.org> - 1.2.8-6
- Pulseaudio hack has been moved to SDL. (#427865)
* Mon Nov 12 2007 Brian Pepple <bpepple@fedoraproject.org> - 1.2.8-5
- link against system libmikmod. (#355991)
* Tue Oct 30 2007 Warren Togami <wtogami@redhat.com> - 1.2.8-4
- SDL_AUDIODRIVER=esd temporary hack until SDL supports pulseaudio directly
  avoids applications from locking up. (#358341)
* Mon Oct 15 2007 Brian Pepple <bpepple@fedoraproject.org> - 1.2.8-3
- Change requires to timidity++-patches. (#331431)
* Tue Aug 28 2007 Brian Pepple <bpepple@fedoraproject.org> - 1.2.8-2
- Rebuild.
* Mon Jul 30 2007 Brian Pepple <bpepple@fedoraproject.org> - 1.2.8-1
- Update to 1.2.8.
- Drop requires on SDL, since the devel soname will pull it in.
- Drop volume patch.  fixed upstream.
- Drop reopen patch.  fixed upstream.
- Drop bad-code patch.  fixed upstream.
- Bump min version of SDL needed.
- Bump min version of mikmod needed.
* Sat Jul 14 2007 Brian Pepple <bpepple@fedoraproject.org> - 1.2.7-3
- Add patch fix eopening issue. (#248253)
* Thu Aug 31 2006 Brian Pepple <bpepple@fedoraproject.org> - 1.2.7-2
- Rebuild for FC6.
* Fri Aug 25 2006 Brian Pepple <bpepple@fedoraproject.org> - 1.2.7-1
- Update to 1.2.7.
- Update bad-code & timidity patches.
- Simplify description & summary for devel package.
- Use disable-static configure flag.
- Drop 64bit patch, fixed upstream.
- Drop libmikmod.patch, fixed upstream.
- Add patch to allow control volume w/playmus. Bug #203210.
* Sun Apr 23 2006 Brian Pepple <bdpepple@ameritech.net> - 1.2.6-8
- Add patch to fix sound on x86_64. Bug #175672.
* Mon Feb 13 2006 Brian Pepple <bdpepple@ameritech.net> - 1.2.6-6
- rebuilt for new gcc4.1 snapshot and glibc changes
* Wed Nov 16 2005 Brian Pepple <bdpepple@ameritech.net> - 1.2.6-5
- Add requires for timidity++ to fix bug #173393.
* Tue Nov  8 2005 Brian Pepple <bdpepple@ameritech.net> - 1.2.6-4
- Add libmikmod patch to fix Bug #171562. (Thanks, Ville)
* Tue Sep 27 2005 Brian Pepple <bdpepple@ameritech.net> - 1.2.6-3
- Cleanup up spec formatting.
  * Sat Jun 25 2005 Ville Skyttä <ville.skytta at iki.fi> - 1.2.6-2
- Rebuild.
  * Sun Jun 19 2005 Ville Skyttä <ville.skytta at iki.fi> - 1.2.6-1
- 1.2.6, use system libmikmod.
- Drop obsolete patches, *.la and over-eager cleanup from %%%%clean.
- Build with dependency tracking disabled.
  * Thu Jun 16 2005 Michael Schwendt <mschwendt[AT]users.sf.net> - 1.2.5-10.1
- Make -devel package require exact release of main package (this
  is particularly important for API changes such as in 1.2.5-9).
  * Thu Jun  9 2005 Ville Skyttä <ville.skytta at iki.fi> - 1.2.5-9
- Bring back Ogg support (BuildRequire libvorbis-devel).
- Add SDL-devel dependency to -devel.
- Improve description.
* Thu May 26 2005 Bill Nottingham <notting@redhat.com> 1.2.5-7
- rebuild
* Wed Feb  9 2005 Thomas Woerner <twoerner@redhat.com> 1.2.5-5
- rebuild
* Thu Sep 30 2004 Thomas Woerner <twoerner@redhat.com> 1.2.5-4
- moved to new autofoo utils
* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt
* Thu Apr 22 2004 Thomas Woerner <twoerner@redhat.com> 1.2.5-2
- fixed bad code in effect_position.c
- cleaned up build
* Tue Mar  9 2004 Thomas Woerner <twoerner@redhat.com> 1.2.5-1
- new version 1.2.5
- cleaned up spec file
- installing playmus and playwave by hand (not installed automatically anymore)
* Tue Mar  2 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt
* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt
* Wed Jun  4 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt
* Mon Feb 17 2003 Elliot Lee <sopwith@redhat.com> 1.2.4-8
- ppc64 fix
* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt
* Thu Dec 19 2002 Tim Powers <timp@redhat.com>
- bump and rebuild
- use pushd and popd instead of cd'ing into the buildroot
* Sat Oct 12 2002 Florian La Roche <Florian.LaRoche@redhat.de>
- add 64bit patch
* Wed Aug 28 2002 Tim Powers <timp@redhat.com>
- rebuilt
* Thu Jul 18 2002 Bill Nottingham <notting@redhat.com> 1.2.4-4
- build against current libvorbis
* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild
* Sun May 26 2002 Tim Powers <timp@redhat.com>
- automated rebuild
* Thu May 23 2002 Bernhard Rosenkraeenzer <bero@redhat.com> 1.2.4-1
- 1.2.4
- clean up spec file
* Fri Mar  1 2002 Than Ngo <than@redhat.com> 1.2.1-4
- rebuild in new env
* Thu Jan 24 2002 Bernhard Rosenkraenzer <bero@redhat.com> 1.2.1-3
- Rebuild to get rid of superfluous dependencies
  [dependencies removed from SDL-1.2.3-5]
* Wed Jan  9 2002 Tim Powers <timp@redhat.com>
- automated rebuild
* Mon Jan  7 2002 Bernhard Rosenkraenzer <bero@redhat.com> 1.2.1-1
- Require arts-devel rather than the obsolete kdelibs-sound-devel
- Update to 1.2.1
- Fix build with current auto* tools
* Tue Jul 24 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Add more build dependencies (#49828)
* Tue Jul 10 2001 Elliot Lee <sopwith@redhat.com>
- Rebuild
* Fri Jun  8 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- do not delete acinclude.m4 in spec file
* Sun Apr 15 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- 1.2.0
* Tue Jan 16 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Require arts, not kdelibs-sound
* Sun Jan  7 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- 1.1.0
- Fix %%%%post, %%%%postun
- Fix summary line for -devel
* Wed Nov 29 2000 Than Ngo <than@redhat.com>
- added ftp site
* Mon Nov 27 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 1.0.6
- Requires: smpeg
- BuildRequires: SDL-devel
- Look for timidity.cfg in the right place
* Mon Nov 20 2000 Tim Powers <timp@redhat.com>
- rebuilt lkto fix bad dir perms
* Tue Nov 14 2000 Tim Powers <timp@redhat.com>
- updated to 1.0.6
* Wed Aug  2 2000 Than Ngo <than@redhat.de>
- move libSDL_mixer.so in SDL_mixer-devel
* Tue Aug  1 2000 Tim Powers <timp@redhat.com>
- added post and postun sections with /sbin/ldconfig
* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt
* Wed Jul 12 2000 Than Ngo <than@redhat.de>
- rebuilt
- use RPM macros
* Mon Jun 19 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- initial build for Red Hat Powertools
- fix build with current libtool
  * Wed Jan 19 2000 Sam Lantinga
- converted to get package information from configure
* Sun Jan 16 2000 Hakan Tandogan <hakan@iconsult.com>
- initial spec file
